---
search:
  tags:
    - Billing
    - GET
seo:
  description: >-
    Get an invoice. Reference for the GET
    /v1/organizations/{orgId}/billing/invoices/{invoiceId} endpoint in the
    Stashtab Vault Warehouse API.
sidebar:
  label: Get an invoice
  badge: GET
title: Get an invoice
type: openapi-operation
---
`GET /v1/organizations/{orgId}/billing/invoices/{invoiceId}`

**Responses**

- `200` — Success
- `default` — Error

Response example, 200:

```json
{
  "data": {
    "amountDue": -9007199254740991,
    "amountPaid": -9007199254740991,
    "amountRemaining": -9007199254740991,
    "createdAt": "2019-08-24T14:15:22Z",
    "currency": "string",
    "dueAt": "2019-08-24T14:15:22Z",
    "finalizedAt": "2019-08-24T14:15:22Z",
    "id": "string",
    "number": "string",
    "paidAt": "2019-08-24T14:15:22Z",
    "periodEndsAt": "2019-08-24T14:15:22Z",
    "periodStartsAt": "2019-08-24T14:15:22Z",
    "state": {
      "stage": "draft"
    },
    "subscription": true,
    "subtotal": -9007199254740991,
    "total": -9007199254740991,
    "hostedInvoiceUrl": "http://example.com",
    "postPaymentCreditNotesAmount": -9007199254740991,
    "prePaymentCreditNotesAmount": -9007199254740991
  },
  "meta": {
    "requestId": "string"
  }
}
```
